| QxOrm 1.4.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Classes | Namespaces | Defines | Typedefs | Functions
IxParameter.h File Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

Common interface for all parameters transfered by QxService module of QxOrm library. More...

`#include <QtCore/qdatastream.h>`
`#include <QxRegister/QxRegisterInternalHelper.h>`

Go to the source code of this file.

## Classes
class | qx::service::IxParameter
| qx::service::IxParameter : common interface for all parameters transfered by QxService module of QxOrm library More...
## Namespaces
namespace | qx
| Root namespace for all QxOrm library features.
namespace | qx::service
| QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)
## Defines
#define | QX_SERVICE_IX_PARAMETER_QDATASTREAM_HPP(className)
#define | QX_SERVICE_IX_PARAMETER_QDATASTREAM_CPP(className)
## Typedefs
typedef qx_shared_ptr < IxParameter > | qx::service::IxParameter_ptr
## Functions
QX_DLL_EXPORT QDataStream & | operator<< (QDataStream &stream, const qx::service::IxParameter &t) BOOST_USED
QX_DLL_EXPORT QDataStream & | operator>> (QDataStream &stream, qx::service::IxParameter &t) BOOST_USED

## Detailed Description

Common interface for all parameters transfered by QxService module of QxOrm library.

Author:
  Lionel Marty

Definition in file IxParameter.h.

## Define Documentation

#define QX_SERVICE_IX_PARAMETER_QDATASTREAM_CPP | ( |  | className | ) |

Value:

    void className::registerClass() const { qx::QxClass< className >::getSingleton(); } \
    QString className::getClassName() const { return #className; } \
    void className::save(QDataStream & stream) const { qx::QxSerializeRegistered< className >::save(stream, (* this)); } \
    void className::load(QDataStream & stream) { qx::QxSerializeRegistered< className >::load(stream, (* this)); }

Definition at line 103 of file IxParameter.h.

#define QX_SERVICE_IX_PARAMETER_QDATASTREAM_HPP | ( |  | className | ) |

Value:

    public: \
    virtual void registerClass() const; \
    virtual QString getClassName() const; \
    virtual void save(QDataStream & stream) const; \
    virtual void load(QDataStream & stream);

Definition at line 96 of file IxParameter.h.

## Function Documentation

QX_DLL_EXPORT QDataStream& operator<< | ( | QDataStream & | stream,
|  | const qx::service::IxParameter & | t
| ) |  |

QX_DLL_EXPORT QDataStream& operator>> | ( | QDataStream & | stream,
|  | qx::service::IxParameter & | t
| ) |  |